package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店请货申请表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkMdqhRequisitionapplicationService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkMdqhRequisitionapplication(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkMdqhRequisitionapplicationMapper.addSKcCrkMdqhRequisitionapplication", pd);
    }

    public List<PageData> findSKcCrkMdqhRequisitionapplicationList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkMdqhRequisitionapplicationMapper.selectSKcCrkMdqhRequisitionapplicationList", pd);
    }

    public Integer SKcCrkMdqhRequisitionapplicationRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkMdqhRequisitionapplicationMapper.SKcCrkMdqhRequisitionapplicationRemove", pd);
    }


    public Integer updateSKcCrkMdqhRequisitionapplication(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkMdqhRequisitionapplicationMapper.updateSKcCrkMdqhRequisitionapplication", pd);
    }

}
